FFe: Sync pypy 1.8+dfsg-2 (universe) from Debian experimental (main)

Bug #936106 reported by Stefano Rivera on 2012-02-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pypy (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync pypy 1.8+dfsg-2 (universe) from Debian experimental (main)

Explanation of FeatureFreeze exception:

I warned you this was coming :)

PyPy is a leaf package, disconnected from the rest of our Python stack.
1.8 came out a couple of days before FF. At FF it was still in Debian's binNEW
queue.

Upstream, 1.8 is mostly iterative improvement.
http://pypy.readthedocs.org/en/latest/release-1.8.0.html

The Debian 1.8 package adds a sandbox build, increasing the already long build
time, but I think it's a nice feature to provide.

There are still a fair number of build failures in Debian, but they are all
timeouts, that I'm trying to get to the bottom of (package builds on
porterboxes, without delays between lines of output that should trigger
timeouts). It'll probably build on LP's buildds [i386 amd64 powerpc], maybe
with a couple of retries if we get timeouts. It builds for me in an ubuntu
chroot.

The packaging currently refuses to build on machines with less than 1.4G of
RAM, so it won't build on ARM, although it probably could if we let it build
for a week or two. None of this is any different from the state of 1.7.

Changelog entries since current precise version 1.7+dfsg-6:

pypy (1.8+dfsg-2) experimental; urgency=low

  * Build the sandboxed PyPy with -O2, not -O3 or -Ojit. Sandboxed pypy can't
    be built with profile-guided optimisations.
    - Use generational gc, now that we aren't using the JIT.
  * Patch gnukfreebsd-link-rt: Link with -lrt on GNU/kFreeBSD.

 -- Stefano Rivera <email address hidden> Sat, 18 Feb 2012 09:28:14 +0200

pypy (1.8+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Drop patches, applied upstream:
    - compiler-flags
    - docs-version
    - hardcoded-nursery-size
    - test_ssl-errno0
    - test_unix_socket_connect
    - big-endian-test_codecs
    - big-endian-clibffi
    - kfreebsd-glibc
    - kfreebsd-test-hangs
  * Build manpage from upstream docs.
  * Patch doc-envvars: Update manpage, to include environment variables.
  * Patch fpic-archs: Build shared libraries with -fPIC on arm and mips.
  * Patch pypy-help: Make --help not crash.
  * Update copyright contributors and years.
  * pep3147-core: Assert the absence of nulls (assert_str0) on the pathnames
    provided in make_compiled_pathname and make_source_pathname.
  * Build sandboxed pypy: python-pypy.translator.sandbox
    - Patch ignore-shufps: Fix build failure.
    - Patch sandbox-bin: Change pypy_interact's --help to name it pypy-sandbox
    - Patch sandbox-dependencies: Reduce the amount of pypy source that
      pypy-sandobx needs.
    - Patch sandbox-manpage: pypy-sandbox manpage.
    - B-D on python (>= 2.6.6-11~) for dh_python2 with .pyinstall support.
  * Run translations and tests with unbuffered I/O, to combat build timeouts.
    - Lower build-time RAM requirement to 1.4G.

 -- Stefano Rivera <email address hidden> Tue, 14 Feb 2012 15:10:21 +0200

Changed in pypy (Ubuntu):
importance: Undecided → Wishlist
Scott Kitterman (kitterman) wrote :

Ack. Approved.

Changed in pypy (Ubuntu):
status: New → Triaged
Stefano Rivera (stefanor) wrote :

This bug was fixed in the package pypy - 1.8+dfsg-2

---------------
pypy (1.8+dfsg-2) experimental; urgency=low

  * Build the sandboxed PyPy with -O2, not -O3 or -Ojit. Sandboxed pypy can't
    be built with profile-guided optimisations.
    - Use generational gc, now that we aren't using the JIT.
  * Patch gnukfreebsd-link-rt: Link with -lrt on GNU/kFreeBSD.

 -- Stefano Rivera <email address hidden> Sat, 18 Feb 2012 09:28:14 +0200

pypy (1.8+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Drop patches, applied upstream:
    - compiler-flags
    - docs-version
    - hardcoded-nursery-size
    - test_ssl-errno0
    - test_unix_socket_connect
    - big-endian-test_codecs
    - big-endian-clibffi
    - kfreebsd-glibc
    - kfreebsd-test-hangs
  * Build manpage from upstream docs.
  * Patch doc-envvars: Update manpage, to include environment variables.
  * Patch fpic-archs: Build shared libraries with -fPIC on arm and mips.
  * Patch pypy-help: Make --help not crash.
  * Update copyright contributors and years.
  * pep3147-core: Assert the absence of nulls (assert_str0) on the pathnames
    provided in make_compiled_pathname and make_source_pathname.
  * Build sandboxed pypy: python-pypy.translator.sandbox
    - Patch ignore-shufps: Fix build failure.
    - Patch sandbox-bin: Change pypy_interact's --help to name it pypy-sandbox
    - Patch sandbox-dependencies: Reduce the amount of pypy source that
      pypy-sandobx needs.
    - Patch sandbox-manpage: pypy-sandbox manpage.
    - B-D on python (>= 2.6.6-11~) for dh_python2 with .pyinstall support.
  * Run translations and tests with unbuffered I/O, to combat build timeouts.
    - Lower build-time RAM requirement to 1.4G.

 -- Stefano Rivera <email address hidden> Tue, 14 Feb 2012 15:10:21 +0200

Changed in pypy (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers